																																																																																																																																																																																																																																																																																																																																																																																																																																																																																																									@charset "utf-8";
/* CSS Document
	Author:		Peter Brown
	Date:		2025-02-25
	Filename: pb-2-1-layout.css
*/


/*-pb- 	 basic layout 	 -dq-*/
html {background-color: white;}
body {
	width: 95vw;
	background-color: cornsilk;
	margin: auto;
	display: flex;
	flex-flow: column nowrap;
}
body > time {
	margin: auto 0 0 0;
	padding-bottom: 4px;	
}
body > time, header {
	border-bottom: 1px solid black;
	display: block;
	width: 100%;
}
header {
	margin: none;
	padding: none;
}
header h1 {
	color: darkblue;
	font-family: Cambria, "Hoefler Text", "Liberation Serif", Times, "Times New Roman", "serif";
	width: 100%;
	margin: 0 auto 0 0;
}
h3 {
	width: 100%;
	margin: 0;
	display: block;
	text-align: right;
	position: relative;
}
h3 img {
	height: 42px;
	aspect-ratio: 1/1;
	position: absolute;
	top: 0;
	right: 0;
	filter: drop-shadow(4px 4px 4px rgb(42, 42, 42));
}
h2, h3 {
	font-size: 1em;
	font-family: Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", "serif";
}
h2 {
	margin: 4px 0 0 0;
}
ul {
	list-style-type: none;
	padding-left: 0px;
	margin: 0 16px 0 4px;
}
li a {
	font-size: .9em;
	font-family: Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", "monospace";
	text-decoration: none;
	display: block;
	color: #100479;
	padding: 4px 8px;
}
li a:hover {
	color: gold;
	background-color: #100479;
}
a#now {
	color: black;
	background-color: grey;
}
li * {
	border: none;
	margin: 0;
}
ul li a {
	display: flex;
	flex-flow: row wrap;
	justify-content: flex-start;
}
footer {
	margin: 16px 0 0 0;
	border-top: 1px solid black;
	text-align: center;
	font-family: Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", "monospace";
}
article {
	display: flex;
	flex-flow: column nowrap;
	justify-content: center;
	font-family: Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", "monospace";
}
article h1, article p {
	width: 100%;
	margin: 8px 0 0 0;
}
img.icon {
	display: none;
}
img.big {
	flex: 1 1 auto;
	width: 90%;
	border: 16px solid cornsilk;
}
img.icon:hover+img.big, img.big:hover {
	display: inline;
}


/*-pb- 	 media queries 	 -dq-*/

@media all and (min-width: 500px) {
	html {
		overflow-y: scroll;
	}
	body {
		width: 90vw;
		margin: 32px auto;
		display: grid;
		grid-template-columns: 150px auto;
		border: 16px solid cornsilk;
		outline: 4px solid brown;
		box-shadow: 0px 0px 12px 12px #aaaaaa;
	}
	footer {
		grid-column: 1/-1;
	}
	article {
		display: flex;
		flex-flow: row wrap;
		justify-content: space-between;
	}
	img.icon {
		aspect-ratio: 1/1;
		flex: 1 1 auto;
		max-width: 30%;
		outline: 4px solid cornsilk;
		display: block;
		border-top: 16px solid cornsilk;
	}
	img.big {
		order: 2;
		display: none;
	}
}